<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' border='0' />");

define("THEME_WIDTH", "100%");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale, $aidlink, $userdata;

if (file_exists(THEME."locale/".$settings['locale'].".php")) {
	include THEME."locale/".$settings['locale'].".php";
} else {
	include THEME."locale/English.php";
}

        //Header-Top
	echo "<div class='spacer3'></div>\n";
	echo "<table cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' class='center'><tr>";
	echo "<td class='capmain-left'></td>";
if (iMEMBER) {
echo "<td class='header-top' align='left' valign='middle'>".$locale['l01']."&nbsp;<a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><b>".$userdata['user_name']."</b></a></td>";
$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");

        echo "<td class='header-top' align='right' valign='middle'>
        <div id='menu'>
        <ul>
        <li><a id='logout' href='".BASEDIR."setuser.php?logout=yes' title='".$locale['global_124']."'></a></li>
        ".(iADMIN ? "<li><a id='admin' href='".ADMIN."index.php".$aidlink."' title='".$locale['global_123']."'></a></li> \n" : "")."
        <li><a id='userlist' href='".BASEDIR."members.php' title='".$locale['global_122']."'></a></li>
        <li><a id='profile' href='".BASEDIR."edit_profile.php' title='".$locale['global_120']."'></a></li>
        <li><a id='pm' href='".BASEDIR."messages.php' title='".$locale['global_121']."'></a></li>
        <li><a href='".BASEDIR."messages.php'>";if ($msg_count){echo"&nbsp;<span id='msgcount'>[$msg_count]</span>";}echo"</a></li>
        </ul>
        </div>
        </td>";
}
else {
echo "<td class='header-top' align='left' valign='middle' width='20%'></td>";
echo "<td class='header-top' align='center' valign='middle'>";
echo "".(isset($loginerror) ? $loginerror : "")."
<form name='loginform1' method='post' action='".FUSION_SELF."'>
".$locale['global_101'].":&nbsp;
<input type='text' name='user_name' class='textbox' style='width:100px;'/>&nbsp;
".$locale['global_102'].":&nbsp;
<input type='password' name='user_pass' class='textbox' style='width:100px;'/>&nbsp;
<input type='checkbox' class='checkbox' name='remember_me' style='height:12px' value='y' title='".$locale['global_103']."' />
<input type='submit' name='login' value='".$locale['global_104']."' class='button'/>
</form></td>\n";
echo "<td class='header-top' align='right' valign='middle' width='20%'>
      <div id='menu'>
        <ul>
        <li><a id='lp' href='".BASEDIR."lostpassword.php' title='".$locale['global_108']."'></a></li>
        ".($settings['enable_registration'] ? "<li><a id='register' href='".BASEDIR."register.php' title='".$locale['global_107']."'></a></li> \n" : "")."
        </ul>
      </div>
      </td>";
}

	echo "<td class='capmain-right'></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td align='center' class='header spacer' style='width:100%;' valign='middle'>\n".showbanners()."</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' class='center'><tr>";
	echo "<td align='left'><img class='spacer' src='".THEME."/images/sideb-left.png' style='width:2px;height:6px;' alt='sideb-left.png' /></td>";
	echo "<td align='center' class='sideb' width='100%'></td>";
	echo "<td align='right'><img class='spacer' src='".THEME."/images/sideb-right.png' style='width:2px;height:6px;' alt='sideb-right.png' /></td>";
	echo "</tr>\n</table>\n";

	//Drop-Down-Menu
	echo "<table cellpadding='0' cellspacing='0' class='center' style='height:27px;'><tr>";
	echo "<td align='center'>";
        include THEME."TinyDropdown/tinydropdown.php";
	echo "</td>\n";
	echo "</tr>\n</table>\n";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'><tr>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

	//Footer
	echo "<table cellpadding='0' cellspacing='0' style='border:1px solid;border-color: #161E26 #1F4880 #1F4880 #161E26;' width='".THEME_WIDTH."' class='center'><tr>";
	echo "<td align='left' class='footer' style='width:42%;vertical-align:middle;'>".stripslashes($settings['footer'])."</td>";
        if ($settings['visitorcounter_enabled'] == "0") {
	echo "<td align='center' class='footer' style='vertical-align:middle;'><a href='http://php-fusion.openworld.dk/' target='_blank'><img src='".THEME."images/borgnine-logo.png' alt='borgnine-logo.png' style='vertical-align:middle;' title='Theme BorgNine - made by Harly' /></a></td>";
        }
        else {
	echo "<td align='center' class='footer' style='vertical-align:middle;'><a href='http://php-fusion.openworld.dk/' target='_blank'><img src='".THEME."images/borgnine-logo.png' alt='borgnine-logo.png' style='vertical-align:middle;' title='Theme BorgNine - made by Harly' /></a><br /><div style='border:1px solid;border-color:#161E26 transparent #1F4880 transparent;margin:3px 0 3px 0;'></div>";
	echo showcounter();
	echo "</td>";
        }
	echo "<td align='right' class='bfooter' style='width:42%;'>".showcopyright()."</td>";
	echo "</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'><tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'><img src='".THEME."/images/icon-n.png' alt='icon-n.png' />&nbsp;".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo "<hr />\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0' width='100%'><tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' style='width:2px;height:6px;' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' width='100%'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' style='width:2px;height:6px;' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'><tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'><img src='".THEME."/images/icon-n.png' alt='icon-n.png' />&nbsp;".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo "<hr />\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0' width='100%'><tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' style='width:2px;height:6px;' alt='sideb-leftt.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' style='width:2px;height:6px;' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n</table>\n";

}

function opentable($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'><tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'><img src='".THEME."/images/icon-c.png' alt='icon-c.png' />&nbsp;$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='capmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td colspan='2' class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closetable() {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0' width='100%'><tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' style='width:2px;height:6px;' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' style='width:2px;height:6px;' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'><tr>";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'><img src='".THEME."/images/icon-s.png' alt='icon-s.png' />&nbsp;$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "<td colspan='2' class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' style='width:2px;height:1px;display:block' alt='blank.gif' /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0' width='100%'><tr>";
	echo "<td align='left'><img src='".THEME."/images/sideb-left.png' style='width:2px;height:6px;' alt='sideb-left.png' class='spacer' /></td>";
	echo "<td align='center' class='sideb' style='width:100%;'></td>";
	echo "<td align='right'><img src='".THEME."/images/sideb-right.png' style='width:2px;height:6px;' alt='sideb-right.png' class='spacer' /></td>";
	echo "</tr>\n</table>\n";

}

?>